* {
  box-sizing: border-box;
}

html {
  height: 100vh;
  text-shadow: none;
}

body {
  background: #f2f2f2;
  color: #444444;
  font-family: -apple-system,
               BlinkMacSystemFont,
               "Segoe UI",
               Roboto,
               Helvetica,
               Arial,
               sans-serif;
  font-size: 16px;
  height: 100vh;
  line-height: 1.8;
  margin: 0 auto;
  max-width: 73%;
}

div#container {
  margin-top: 5px;
  display: flex;
  flex-wrap: nowrap;
  flex-direction: column;
  justify-content: flex-start;
  height: 98vh;
  border: 1px solid black;
}

header {
  background: forestgreen;
  border: 1px solid green;
  color: white;
  display: flex;
  flex: 0 0 45px;
  flex-direction: row;
  justify-content: space-between;
  font-size: 18px;
  font-weight: 600;
  height: 45px;
  margin: 0;
  padding: 5px 0 0 0;
  text-align: center;
  text-shadow: none;
}

span#banner {
  font-size: 20px;
  padding-left: 25px;
}

span#manager {
  padding-right: 25px;
}

span#production {
  visibility: hidden;
  width: 400px;
  background-color: white;
  color: black;
  text-align: center;
  border-radius: 2px;
  padding: 5px 0;
  font-size: 14px;

  /* Position the tooltip */
  position: absolute;
  z-index: 1;

  margin: auto;
  -webkit-transform: translateX(-300px);
  -moz-transform: translateX(-300px);
  -ms-transform: translateX(-300px);
  transform: translateX(-300px);
}

span#banner:hover span#production {
  visibility: visible;
}

span#production a:link {
  color: black;
  font-size: 14px;
}

header a {
  color: white;
  font-size: 16px;
  text-shadow: none;
}

#splash_dialog {
  border: solid #49562a 2px;
  padding: 20px;
  position: fixed;
  inset: 0px;
  margin: auto;
  height: 65vh;
  width: 35vw;
}

#splash_dialog h3 {
  font-size: 16px;
  margin-bottom: 20px;
  text-align: center;
}

#splash_dialog div {
  margin-top: 25px;
  text-align: center;
}

#splash_dialog p {
  font-size: 14px;
  padding-left: 10px;
}

#splash_dialog a:link {
  font-size: 14px;
}

#splash_dialog button {
  border: none;
  border-radius: 0;
  bottom: 25px;
  font-size: 1.1rem;
  left: 0;
  right: 0;
  margin: auto;
  position: absolute;
  height: 30px;
  width: 100px;
}

span#banner > a {
  font-size: 20px;
}

footer {
  background: forestgreen;
  border: 1px solid green;
  display: flex;
  flex: 0 0 53px;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  font-size: 18px;
  font-weight: 600;
  height: 53px;
  margin: 0;
  margin-top: auto;
  padding: 0;
}

footer > div {
  color: white;
  padding: 0;
  margin: 0;
  text-shadow: none;
  flex: 1 1 0;
  width: 0;
  line-height: 100%;
}

div#badges {
  border-right: dotted 1px white;
  height: 100%;
  padding: 5px 0 0 20px;
  margin: 0;
  text-align: left;
}

div#cdeholder {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: start;
  padding: 0 20px 0 20px;
  white-space: nowrap;
}

div#cdeholder > div {
  margin: 0;
  padding: 0;
}

div#cdeholder a {
  color: white;
  font-size: 14px;
  padding-left: 10px;
}

div#summary {
  border-left: dotted 1px white;
  flex: 0 1 130px;
  font-size: 14px;
  height: 100%;
  padding: 18px 5px 0 5px;
  margin: 0;
  text-align: left;
}

div#summary a {
  color: white;
  font-size: 14px;
  padding-left: 10px;
}

div#address {
  display: flex;
  justify-content: center;
  align-items: center;
  border-left: dotted 1px white;
  font-size: 14px;
  height: 100%;
  line-height: 100%;
  padding-right: 20px;
  text-align: center;
}

/* phoney */
@media only screen and (max-width: 402px) {
  body {
    font-size: 9px;
  }
}

/* bigger than an iphone, smaller than a tablet */
@media only screen and (min-width: 403px) and (max-width: 750px) {
  body {
    font-size: 11px;
  }
  span#banner {
    font-size: 2.0rem;
  }
}

/* tablet */
@media only screen and (min-width: 751px) and (max-width: 1024px) {
  html, body {
    font-size: 12px;
  }

  span#banner {
    font-size: 2.5rem;
  }
}

/* catch-all for anything mobile. */
@media only screen and (max-width: 1024px) {

  body {
    height: 100%;
    max-width: 100vw;
    width: 100vw;
  }

  div#container {
    display: flex;
    height: 100vh;
    justify-content: space-between;
  }

  header {
    display: flex;
    flex: 0 0 auto;
    flex-direction: column;
    height: auto;
    text-align: center;
  }

  span#banner, span#manager {
    font-size: 1.0rem;
    padding: 0;
    height: auto;
  }

  span#banner > a {
    font-size: 1.3rem;
  }

  header a {
    font-size: 1.3rem;
  }

  #splash_dialog {
    border: 2px solid black;
    height: 80vh;
    width: 75vw;
  }

  #splash_dialog h3 {
    font-size: 1.2rem;
    margin-top: 2vh;
  }

  #splash_dialog div {
    margin-top: 30px;
  }

  #splash_dialog p {
    font-size: 1.0rem;
  }

  #splash_dialog a:link {
    font-size: 1.0rem;
  }

  #splash_dialog button {
    color: black;
    font-size: 1.4rem;
    height: 30px;
    margin-bottom: 15px;
    width: 100px;
  }

  footer {
    align-self: flex-end;
    display: flex;
    flex: 0 0 auto;
    height: 125px;
    flex-direction: column;
    align-items: center;
    width: 100vw;
  }

  div#badges {
    border-right: none;
    border-bottom: 1px dotted white;
    height: 57px;
    padding: 4px 0 2px 0;
    margin: 0;
    width: 100%;
    text-align: center;
  }

  div#cdeholder {
    border-bottom: 1px dotted white;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 5px 20px 0 20px;
    white-space: nowrap;
    height: 45px;
    width: 100%;
    text-align: center;
  }

  div#cdeholder a {
    font-size: 17px;
  }

  div#summary {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  div#summary a {
    font-size: 1.1rem;
  }

  div#address {
    display: table;
    font-size: 1.1rem;
    margin: 0 auto;
    padding: 5px 0 5px 0;
    height: 15px;
    width: 100%;
  }

  div#address > span {
    height: 13px;
    padding-bottom: 5px;
    width: 100%;
  }
}

